@import "../../styles/variables";
@import "../../styles/mixins";

.stepper-header {
  display: flex;
  justify-content: space-evenly;
  height: $cui-tab-label-height;
  align-items: center;
  margin-bottom: 1rem;
  line-height: 5rem;

  .step-label {
    border-radius: 0;

    &.activeHeader--off{
      &[disabled] {
       opacity: 1; 
      }
    }
     
    .icon {
      display: flex;
      align-items: center;

      .icon-button--prefixIcon{
        margin-right: 0.27rem;
        margin-left: 0.12rem;

        &.activeHeader--off{
          &[disabled] {
            opacity: 1; 
          }
        }
      }

      .icon-button--suffixIcon{
        margin-left: 0.27rem;
        margin-right: 0.12rem;

        &.activeHeader--off {
          &[disabled] {
            opacity: 1; 
          }
        }
      }
    } 

    .inactive {
      color: $cui-n200;
      .cui-button{
        background-color: $cui-n35;

        &.activeHeader--off{
          &[disabled] {
            opacity: 1; 
          }
        }
      }
    }
  }
  .stepper-binding-line {
    margin: 0.7rem 0rem;
    height: 0.07rem;
    background-color: #e5e5e5;
    align-self: center;
    flex-grow: 1;
  }
}

.stepper-body {
  display: flex;
  flex-direction: column;
  margin-left: 1.3rem;
  color: $cui-n200;
}

.stepper-header--vertical {
  display:flex;
  flex-direction: column;
  background-color: transparent;
  margin: 10rem;
  line-height: 5rem;

  .step-label--vertical {
    justify-content: flex-start;
    border-radius: 0;
    &.activeHeader--off{
      &[disabled] {
       opacity: 1; 
      }
    }

    .button{
      margin-left: 0.2rem;
    }

    .icon {
      display: flex;
      align-items: center;

      .icon-button--prefixIcon{
        margin-right: 0.27rem;
        margin-left: 0.12rem;
        &.activeHeader--off{
          &[disabled] {
            opacity: 1; 
          }
        }
      }

      .icon-button--suffixIcon{
        margin-left: 0.27rem;
        margin-right: 0.12rem;
        &.activeHeader--off{
          &[disabled] {
            opacity: 1; 
          }
        }
      }
    }
    
    .inactive {
      color: $cui-n200;
      .cui-button{
        background-color: $cui-n35;

        &.activeHeader--off{
          &[disabled] {
            opacity: 1; 
          }
        }
      }
    }
  }

  .stepper-body--vertical {
    display: flex;
    color: $cui-n200;
    margin-left: 1.9rem;

    .body-content--vertical{
      margin: 0 0 10vh 1.5rem ;
    }
  }
      
  .stepper-binding-line--vertical {
    margin: 0.05rem 0.05rem;
    background-color: #e5e5e5;
    align-self: stretch;
    width: 0.08rem;
    min-height: 5vh;
  }
}

.navigation {
  width: fit-content;
  display: flex;
  align-items: center;
  margin: 1rem 0 0 0;
}





